<template>
    <div class="header">
        <div class="row mb20">
            <div class="col-sm-12 title" v-text="invoiceTitle"></div>
        </div>
        <div class="row">
            <div class="col-sm-6 content-left">
                <div class="item">
                    <label for="seller_pan">Seller’s PAN :</label>
                    <span class="text" id="seller_pan" v-text="seller.pan"></span>
                </div>
                <div class="item">
                    <label for="seller_name">Seller’s Name:</label>
                    <span class="text" id="seller_name" v-text="seller.name"></span>
                </div>
                <div v-show="false" class="item">
                    <label for="address">Address:</label>
                    <input type="text" id="address" class="field">
                </div>
                <div class="item">
                    <label for="purchaser_name">Purchaser’s Name:</label>
                    <input type="text" id="purchaser_name" v-model="data.purchaser.name" class="field">
                </div>
                <div class="item">
                    <label for="purchaser_address">Address:</label>
                    <input type="text" id="purchaser_address" v-model="data.purchaser.address" class="field">
                </div>
                <div class="item">
                    <label for="purchaser_pan">Purchaser’s PAN:</label>
                    <input type="text" id="purchaser_pan" v-model="data.purchaser.pan" class="field">
                </div>
            </div>
            <div class="col-sm-6 content-right">
                <div class="item">
                    <label for="trans_date_ad">Transactions Date :</label>
                    <span class="help-text">AD: </span>
                    <english-date-picker id="trans_date_ad" uniqueid="trans_date" v-model="data.trans_date.ad" class="field date-field date-ad"/>
                    <span class="help-text">(BS: </span>
                    <nepali-date-picker id="trans_date_bs" uniqueid="trans_date" v-model="data.trans_date.bs" class="field date-field date-bs"/>
                    <span class="help-text">)</span>
                </div>
                <div class="item">
                    <label for="issued_date_ad">Invoice Issue Date:</label>
                    <span class="help-text">AD: </span>
                    <english-date-picker id="issued_date_ad" uniqueid="issued_date" v-model="data.issued_date.ad" class="field date-field date-ad"/>
                    <span class="help-text">(BS: </span>
                    <nepali-date-picker id="issued_date_bs" uniqueid="issued_date" v-model="data.issued_date.bs" class="field date-field date-bs"/>
                    <span class="help-text">)</span>
                </div>
                <div class="item">
                    <label for="payment_method">Method of payment:</label>
                    <select id="payment_method" v-model="data.payment_method" class="field select-list">
                        <option value="cash">Cash</option>
                        <option value="cheque">Cheque</option>
                        <option value="creditor">Creditor</option>
                        <option value="other">Other</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
</template>

<script type="text/ecmascript-6">
    import DatePickerAD from "./../../components/EnglishDatePicker";
    import DatePickerBS from "./../../components/NepaliDatePicker";

    export default {
        name: "InvoiceHeader",

        components: {
            "nepali-date-picker": DatePickerBS,
            "english-date-picker": DatePickerAD,
        },

        props: {
            invoiceTitle: {required: true, type: String},
            seller: {required: true, type: Object},
        },

        data() {
            return {
                data: {
                    purchaser: {
                        name: "",
                        address: "",
                        pan: "",
                    },
                    trans_date: {
                        ad: "",
                        bs: "",
                    },
                    issued_date: {
                        ad: "",
                        bs: "",
                    },
                    payment_method: "cash",
                },
            };
        },

        watch: {
            data: {
                handler: function(data) {
                    this.$emit("input", data);
                },
                deep: true,
            },
        },
    };
</script>

<style scoped>

</style>
